@import url('https://fonts.googleapis.com/css2?family=Lato&display=swap');

.exibeUsuario {
    flex-direction: row !important;
    gap: 4rem;
}

@media (max-width: 1020px) {
    .exibeUsuario {
        flex-direction: column !important;
        gap: 4rem;
    }    
}

.title-av {
    margin-top: .8rem;
    font-size: 1.4rem;
    font-weight: 700;
}

.graphic-container {
    width: 90%;
    height: fit-content;
}

#avaliacoesChart {
    margin-top: .8rem;
}

#avaliacaoPerfil {
    text-align: center;
    margin-top: 50px;
}

#avaliacaoPerfil h1 {
    color: #8e44ad;
}

.edit-button {
    font-family: 'Lato', sans-serif;
    background-color: #8e44ad;
    color: #ffffff;
    border: 2px solid #8e44ad;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s;
    margin: 0 10px;
}

.edit-button:hover {
    background-color: #501968;
    border-color: #501968;
    color: #fff;
}

#avaliacaoModal .modal-content {
    background-color: #ffffff;
    color: #8e44ad;
    border-radius: 10px;
}

#avaliacaoModal .modal-header, #avaliacaoModal .modal-footer {
    border: none;
}

#avaliacaoModal .modal-header .close {
    color: #8e44ad;
}

.star-rating {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    font-size: 2em;
    color: #ddd;
}

.star-rating input[type=radio] {
    display: none;
}

.star-rating .star {
    cursor: pointer;
    transition: color 0.2s;
}

.star-rating input[type=radio]:checked ~ label {
    color: #FFD700;
}

.star-rating .hovered,
.star-rating input[type=radio]:hover ~ label {
    color: #FFD700;
}

.selected {
    display: block;
}